<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GncAssembleListBean" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <com.mcxtzhang.swipemenulib.SwipeMenuLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginVertical="5dp"
                    android:background="@drawable/bg_item"
                    android:paddingHorizontal="10dp">

                    <ImageView
                        android:id="@+id/iv_icon"
                        loadImage="@{bean.checked ? @drawable/img_plane_s : @drawable/img_plane}"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_gravity="center"
                        android:src="@drawable/img_plane" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_marginTop="10dp"
                        android:orientation="vertical">

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical">

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1.2">

                                <TextView
                                    android:layout_width="80dp"
                                    android:layout_height="wrap_content"
                                    android:text="平板车："
                                    android:textColor="@color/weak_grey"
                                    android:textStyle="bold" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.carId}"
                                    android:textColor="@color/colorPrimary"
                                    android:textStyle="bold" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1">

                                <TextView
                                    android:layout_width="80dp"
                                    android:layout_height="wrap_content"
                                    android:text="货重：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text='@{bean.cargoWeight + "KG"}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1.2">

                                <TextView
                                    android:layout_width="80dp"
                                    android:layout_height="wrap_content"
                                    android:text="目的港：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.fdest}" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1">

                                <TextView
                                    android:layout_width="80dp"
                                    android:layout_height="wrap_content"
                                    android:text="计划航班：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text='@{bean.fdate + "/" + bean.fno}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="20dp"
                            android:gravity="center_vertical">

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1.2">

                                <TextView
                                    android:layout_width="80dp"
                                    android:layout_height="wrap_content"
                                    android:text="复磅状态：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.fuBangStatusName}"
                                    android:textColor='@{bean.fuBangStatusName.equals("未复磅") ? @color/text_system : @color/blue}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1">

                                <TextView
                                    android:layout_width="80dp"
                                    android:layout_height="wrap_content"
                                    android:text="截载状态：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:textColor='@{bean.jieZaiStatusName.equals("已截载") ? @color/red : @color/text_system}'
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.jieZaiStatusName}" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1.2">

                                <TextView
                                    android:layout_width="80dp"
                                    android:layout_height="wrap_content"
                                    android:text="计重人：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.username}" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1">

                                <TextView
                                    android:layout_width="80dp"
                                    android:layout_height="wrap_content"
                                    android:text="计重时间：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.opDate}" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <ImageView
                            android:id="@+id/iv_show"
                            android:layout_width="match_parent"
                            android:layout_height="20dp"
                            android:layout_marginTop="10dp"
                            android:padding="5dp"
                            android:src="@mipmap/img_down" />

                    </androidx.appcompat.widget.LinearLayoutCompat>

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="wrap_content"
                android:layout_height="match_parent">


                <TextView
                    android:id="@+id/tv_modify"
                    style="@style/tv_item_action"
                    android:background="#8313ef"
                    android:text="修改" />

                <TextView
                    android:id="@+id/tv_delete"
                    style="@style/tv_item_action"
                    android:background="#df253c"
                    android:text="删除" />


            </androidx.appcompat.widget.LinearLayoutCompat>
        </com.mcxtzhang.swipemenulib.SwipeMenuLayout>

        <LinearLayout
            visible="@{bean.showMore}"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="6dp"
            android:background="#e3f6e0"
            android:orientation="vertical"
            android:visibility="gone">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="序号"
                    android:textColor="@color/text_normal"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="运单号"
                    android:textColor="@color/text_normal"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="件数"
                    android:textColor="@color/text_normal"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="重量(KG)"
                    android:textColor="@color/text_normal"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="体积"
                    android:textColor="@color/text_normal"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="目的港"
                    android:textColor="@color/text_normal"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="特码"
                    android:textColor="@color/text_normal"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="品名"
                    android:textColor="@color/text_normal"
                    android:textSize="16sp"
                    android:textStyle="bold" />

            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="10.dp"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:itemCount="2"
                tools:listitem="@layout/item_gnc_assemble_item_more" />

        </LinearLayout>

    </LinearLayout>

</layout>